<!DOCTYPE html>
<html lang="en" dir="ltr">
<head> 
    <meta charset="utf-8">
    <link rel="stylesheet" href="{{ url_for('static',filename='styles/partida.css') }}">
    <title>MagiCards</title>
</head>

<body>
 
    <div class="tela" style="display: flex; align-content: center;">
    
        <div style="float: left; height: 100%; padding: 5%; padding-right: 0; margin-right: 0;">
            <div style="height: 45%; margin: auto 0 auto auto; display: flex; align-content: center;">
                <div style="float: left;"><h2 style="font-size: medium; margin: auto;">CARTA DO</h2><h2 style="font-size: medium; margin: auto;">ADVERSÁRIO</h2></div>
            </div>
            <div style="height: 10%; min-width: 100px; display: flex; align-content: center; margin-left: 0;">
                <h1 class="resultado"></h1>
            </div>
            <div style="height: 45%; margin: auto 0 auto auto; display: flex; align-content: center;">
                <div style="float: left;"><h2 style="font-size: medium; margin: auto;">SUA CARTA</h2></div>
            </div>
        </div>

        <div style="height: 100%; margin-left: 0; padding: 5%;">
            <div class="deck" style="margin: auto auto auto 0;"> <!-- agrupamento de cartas -->
                <div style="margin: auto auto auto 0;">
                <div class="carta" style="cursor: default;"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="50px"></img></div></div>
                </div>
            </div>  
        
            <div style="min-height: 10%; display: flex; align-content: center; margin: auto;">
                <button class="botao_jogada" style="margin: auto;" onclick="proximo()">CONTINUAR</button>
            </div>
        
            <div class="deck" style="margin-left: 0;"> <!-- agrupamento de cartas -->
                <div style="margin: auto auto auto 0;">
                <div class="carta" style="cursor: default;"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="50px"></img></div></div>
                </div>
            </div>
        </div>
    
    </div>

</body>

<script>

window.onload = function() {
    iconesElementos()
    mensagemResultado()
};
cartas = [{{carta_adv|safe}}, {{carta_selecionada|safe}}]

function iconesElementos() {
    local_cartas = document.getElementsByClassName('carta')
    for (let i = 0; i < local_cartas.length; i++) {
        atributo = atributoCarta(cartas[i][0])
        local_cartas[i].className = 'carta '+ atributo[0]
        local_cartas[i].querySelector("img").src = atributo[1]
        local_cartas[i].querySelector("h2").innerHTML = cartas[i][1]
    }
}
function atributoCarta(num) {
    if (num==0) {
        return ["gelo", "{{ url_for('static',filename='img/gelo.svg') }}"] 
    } if (num==1) {
        return ["fogo", "{{ url_for('static',filename='img/fogo.svg') }}"]
    } 
    return ["agua", "{{ url_for('static',filename='img/agua.svg') }}"]
}
function proximo() {
    window.location.replace('/partida')
}
function mensagemResultado() {
    resultado = {{resultado|safe}}
    msg = document.getElementsByClassName('resultado')[0]
    if (resultado=='vitoria') {
        msg.innerHTML = 'Você venceu a rodada!'
        msg.style.color = '#23D984'
    } else if (resultado=='derrota') {
        msg.innerHTML = 'Você perdeu a rodada!'
        msg.style.color = '#E52A32'
    } else {
        msg.innerHTML = 'Empate!'
    }
}
</script>
</html>
